%define oname papyrus
Name: lib%oname
Version: 0.7.1
Release: alt1

Summary: C++ canvas library similar to Gnome canvas but designed to render on a Cairo surface

Group: System/Libraries
License: LGPL
Url: http://libpapyrus.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%oname-%version.tar.bz2
Patch: %name-as-needed.patch

# Warning: buildreq adds all fonts packages :)
# Automatically added by buildreq on Sun May 21 2006
BuildRequires: doxygen gcc-c++ graphviz libcairomm-devel libgtkmm2-devel
BuildRequires: gcc-c++ >= 4.0

BuildRequires: libcairomm-devel >= 1.2.0 libgtkmm2-devel >= 2.10.0

%description
Papyrus is a C++ canvas library similar in scope and function to the
Gnome canvas but designed to render on a Cairo surface.

%package devel
Summary: Libraries/include files for development with %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Libraries/include files for development with %name.

%prep
%setup -q -n %oname-%version
#%patch

%build
%configure --disable-static

%make_build
#%__subst "s|^Libs:.*|Libs: -lm -l%oname|g" %oname-0.1.pc

%install
%make_install install DESTDIR=%buildroot
mkdir -p %buildroot%_docdir/
mv -f %buildroot%_datadir/papyrus* %buildroot%_docdir/

%files
%doc AUTHORS
%_libdir/lib*.so.*

%files devel
%_bindir/*demo
%_includedir/*
%_libdir/lib*.so
%_pkgconfigdir/*
%_docdir/%{oname}*/

%changelog
* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- new version 0.7.1 (with rpmrb script)

* Sun Sep 10 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.1-alt0.1
- new version 0.5.1 (with rpmrb script)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.2
- fix requires, add buildreqs with versions

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.1
- new version 0.4.0 (with rpmrb script)

* Fri Aug 25 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt0.1
- new version 0.3.1
- add demo in devel package

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.11-alt0.1
- new version (0.1.11)
- add patch for linking order

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.10-alt0.1
- new version (0.1.10)

* Mon Mar 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.6-alt0.1
- initial build for ALT Linux Sisyphus
